Fork me on GitHub"

# skbio.tree.TreeNode.has_children

`TreeNode.``has_children`()

  Returns True if the node has children.

  State: Experimental as of 0.4.0.

  Returns:

  bool

  > True if the node has children.

  See also

  `is_tip`, `is_root`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c);"])
      >>> print(tree.has_children())
      True
      >>> print(tree.find('a').has_children())
      False